# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class PartnerModule(models.Model):
    _name = "res.partner.module"
    _description = "Modules client"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Nom du module", required=True)
    partner_id = fields.Many2one(
        comodel_name="res.partner",
        string="Client",
        ondelete="restrict",
        domain=[("is_company", "=", True)],
    )
    active = fields.Boolean("Actif", default=True)

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------
    _sql_constraints = [
        (
            "uniq_partner_module_name",
            "unique(partnaer_id, name)",
            "Module name must be unique for a partner",
        ),
    ]
    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
